<?php $r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$mysqli = connectDB($r);
$city=$_POST['id'];
$munis = $mysqli->query("SELECT * FROM z_localidades WHERE ciudad='$city'");
$numerofilas =$munis->num_rows;
if($numerofilas>0){
$res='<select class="form-control" id="localidad" name="localidad" title="localidad">';
$res.='<option value="">Seleccione un localidad</option>';
while($row2 = $munis->fetch_assoc()) { 
    $res.='<option value="'.$row2["id"].'">'.$row2["localidad"].'</option>';
} 

$res.='<select>';
echo $res;} 
else{ echo '<input  class="form-control"  type="text" name="localidad"/>'; }
?>